com.r3corda.core.node.services / TransactionStorage

# TransactionStorage

`interface TransactionStorage : ReadOnlyTransactionStorage`

Thread-safe storage of transactions.

### Functions

addTransaction | `abstract fun addTransaction(transaction: SignedTransaction): Unit` Add a new transaction to the store. If the store already has a transaction with the same id it will be overwritten.

### Inherited Functions

getTransaction | `abstract fun getTransaction(id: SecureHash): SignedTransaction?` Return the transaction with the given id, or null if no such transaction exists.

### Inheritors

MockTransactionStorage | `open class MockTransactionStorage : TransactionStorage`
PerFileTransactionStorage | `class PerFileTransactionStorage : TransactionStorage` File-based transaction storage, storing transactions per file.